/****************************************************************************
**  KOJAK                                                                  **
**  http://www.fz-juelich.de/zam/kojak/                                    **
*****************************************************************************
**  Copyright (c) 2003-2004                                                **
**  University of Tennessee                                                **
**                                                                         **
**  See the file COPYRIGHT in the package base directory for details       **
****************************************************************************/

#ifndef _MODULE_H
#define _MODULE_H   

/*
 *----------------------------------------------------------------------------
 *
 * struct Module
 *
 *----------------------------------------------------------------------------
 */

#include <iostream>
  using std::ostream;
  using std::endl;

#include <string>
  using std::string;

#include <vector>
  using std::vector;

struct Function;

struct Module
{
  long               id;
  string             name;
  long               begln;
  vector<Function*>  funcv;
  bool               isuser;
  bool               isleaf;
};

ostream& operator<<(ostream& out, const Module& mod); 

#endif
