/****************************************************************************
**  KOJAK                                                                  **
**  http://www.fz-juelich.de/zam/kojak/                                    **
*****************************************************************************
**  Copyright (c) 2003-2004                                                ** 
**  University of Tennessee, Innovative Computing Laboratory               **
**                                                                         ** 
**  See the file COPYRIGHT in the package base directory for details       **
****************************************************************************/

#ifndef DLG_CSITE_H
#define DLG_CSITE_H

#include <stdio.h>

struct dlg_csite;

struct dlg_csite*  dlg_csite_create(char* csitespec);
void               dlg_csite_delete(struct dlg_csite* csite);

long               dlg_csite_id(struct dlg_csite* csite);
long               dlg_csite_mod_id(struct dlg_csite* csite);
long               dlg_csite_line(struct dlg_csite* csite);
long               dlg_csite_caller_id(struct dlg_csite* csite);
long               dlg_csite_callee_id(struct dlg_csite* csite);

long               dlg_csite_get_tag(struct dlg_csite* csite);
void               dlg_csite_set_tag(struct dlg_csite* csite, long tag);

void               dlg_csite_fprintf(FILE* stream, struct dlg_csite* csite);

#endif
