/****************************************************************************
**  KOJAK                                                                  **
**  http://www.fz-juelich.de/zam/kojak/                                    **
*****************************************************************************
**  Copyright (c) 1998-2004                                                **
**  Forschungszentrum Juelich, Zentralinstitut fuer Angewandte Mathematik  **
**                                                                         **
**  See the file COPYRIGHT in the package base directory for details       **
****************************************************************************/

#ifndef _ELG_OMPLOCK_H
#define _ELG_OMPLOCK_H

#ifdef __cplusplus
#   define EXTERN extern "C" 
#else
#   define EXTERN extern 
#endif

/*
 *-----------------------------------------------------------------------------
 *
 *  EPILOG Library (Event Processing, Investigating, and Logging)
 *
 *  - OpenMP lock management
 *
 *-----------------------------------------------------------------------------
 */

#include "elg_defs.h"

EXTERN elg_ui4 elg_lock_init(void* lock);
EXTERN elg_ui4 elg_lock_id(void* lock);
EXTERN void    elg_lock_destroy(void* lock);
EXTERN void    elg_lock_close();

#endif










