# This file was created automatically by SWIG.
import earlc
class EventTracePtr :
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def get_name(self):
        val = earlc.EventTrace_get_name(self.this)
        return val
    def get_nevents(self):
        val = earlc.EventTrace_get_nevents(self.this)
        return val
    def get_nfiles(self):
        val = earlc.EventTrace_get_nfiles(self.this)
        return val
    def get_nregs(self):
        val = earlc.EventTrace_get_nregs(self.this)
        return val
    def get_ncsites(self):
        val = earlc.EventTrace_get_ncsites(self.this)
        return val
    def get_nmets(self):
        val = earlc.EventTrace_get_nmets(self.this)
        return val
    def get_nmachs(self):
        val = earlc.EventTrace_get_nmachs(self.this)
        return val
    def get_nnodes(self):
        val = earlc.EventTrace_get_nnodes(self.this)
        return val
    def get_nprocs(self):
        val = earlc.EventTrace_get_nprocs(self.this)
        return val
    def get_nthrds(self):
        val = earlc.EventTrace_get_nthrds(self.this)
        return val
    def get_nlocs(self):
        val = earlc.EventTrace_get_nlocs(self.this)
        return val
    def get_ncoms(self):
        val = earlc.EventTrace_get_ncoms(self.this)
        return val
    def get_file(self,arg0):
        val = earlc.EventTrace_get_file(self.this,arg0)
        return val
    def get_reg(self,arg0):
        val = earlc.EventTrace_get_reg(self.this,arg0)
        return val
    def get_csite(self,arg0):
        val = earlc.EventTrace_get_csite(self.this,arg0)
        return val
    def get_met(self,arg0):
        val = earlc.EventTrace_get_met(self.this,arg0)
        return val
    def get_mach(self,arg0):
        val = earlc.EventTrace_get_mach(self.this,arg0)
        return val
    def get_node(self,arg0,arg1):
        val = earlc.EventTrace_get_node(self.this,arg0,arg1)
        return val
    def get_proc(self,arg0):
        val = earlc.EventTrace_get_proc(self.this,arg0)
        return val
    def get_thrd(self,arg0,arg1):
        val = earlc.EventTrace_get_thrd(self.this,arg0,arg1)
        return val
    def get_loc(self,arg0):
        val = earlc.EventTrace_get_loc(self.this,arg0)
        return val
    def get_com(self,arg0):
        val = earlc.EventTrace_get_com(self.this,arg0)
        return val
    def event(self,arg0):
        val = earlc.EventTrace_event(self.this,arg0)
        return val
    def is_type(self,arg0,arg1):
        val = earlc.EventTrace_is_type(self.this,arg0,arg1)
        return val
    def stack(self,arg0,arg1):
        val = earlc.EventTrace_stack(self.this,arg0,arg1)
        return val
    def istack(self,arg0,arg1):
        val = earlc.EventTrace_istack(self.this,arg0,arg1)
        return val
    def queue(self,arg0,*args):
        val = apply(earlc.EventTrace_queue,(self.this,arg0,)+args)
        return val
    def mpicoll(self,arg0):
        val = earlc.EventTrace_mpicoll(self.this,arg0)
        return val
    def ompcoll(self,arg0):
        val = earlc.EventTrace_ompcoll(self.this,arg0)
        return val
    def calltree(self,*args):
        val = apply(earlc.EventTrace_calltree,(self.this,)+args)
        return val
    def ctroots(self,*args):
        val = apply(earlc.EventTrace_ctroots,(self.this,)+args)
        return val
    def callpath(self,arg0):
        val = earlc.EventTrace_callpath(self.this,arg0)
        return val
    def ctchildren(self,arg0):
        val = earlc.EventTrace_ctchildren(self.this,arg0)
        return val
    def ctvisits(self,arg0):
        val = earlc.EventTrace_ctvisits(self.this,arg0)
        return val
    def ctsize(self,*args):
        val = apply(earlc.EventTrace_ctsize,(self.this,)+args)
        return val
    def __repr__(self):
        return "<C EventTrace instance>"
class EventTrace(EventTracePtr):
    def __init__(self,arg0) :
        self.this = earlc.new_EventTrace(arg0)
        self.thisown = 1




class P2StatisticPtr :
    def __init__(self,this):
        self.this = this
        self.thisown = 0
    def add(self,arg0):
        val = earlc.P2Statistic_add(self.this,arg0)
        return val
    def reset(self):
        val = earlc.P2Statistic_reset(self.this)
        return val
    def count(self):
        val = earlc.P2Statistic_count(self.this)
        return val
    def mean(self):
        val = earlc.P2Statistic_mean(self.this)
        return val
    def med(self):
        val = earlc.P2Statistic_med(self.this)
        return val
    def min(self):
        val = earlc.P2Statistic_min(self.this)
        return val
    def max(self):
        val = earlc.P2Statistic_max(self.this)
        return val
    def q25(self):
        val = earlc.P2Statistic_q25(self.this)
        return val
    def q75(self):
        val = earlc.P2Statistic_q75(self.this)
        return val
    def sum(self):
        val = earlc.P2Statistic_sum(self.this)
        return val
    def var(self):
        val = earlc.P2Statistic_var(self.this)
        return val
    def __repr__(self):
        return "<C P2Statistic instance>"
class P2Statistic(P2StatisticPtr):
    def __init__(self) :
        self.this = earlc.new_P2Statistic()
        self.thisown = 1






#-------------- FUNCTION WRAPPERS ------------------



#-------------- VARIABLE WRAPPERS ------------------

